MySAPOracleInstance (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.packagedapp.mysap.db.MySAPOracleInstance interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.packagedapp.mysap.db
Interface MySAPOracleInstance

All Superinterfaces:
  AppServer, ConfigurationItem, DatabaseServer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, OracleInstance, java.io.Serializable

    public interface MySAPOracleInstance

extends OracleInstance

Naming Rules:
  0="SAPSystemSID,systemHome" 1="managedSystemName"
Persistable:
  true
Top Level:
  true
Display Name:
  SAPSystemSID,systemHome

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`IBM_COPYRIGHT, RUNNING, STOPPED`

Method Summary
`java.lang.String` | `getOwner()`
`java.lang.String` | `getSAPSystemSID()`
`java.lang.String` | `getSystemHome()`
`boolean` | `hasOwner()`
`boolean` | `hasSAPSystemSID()`
`boolean` | `hasSystemHome()`
`void` | `setOwner(java.lang.String owner)`
`void` | `setSAPSystemSID(java.lang.String sid)`
`void` | `setSystemHome(java.lang.String dbHostName)`

Methods inherited from interface com.collation.platform.model.topology.app.db.oracle.OracleInstance
`getBackgroundProcesses, getDatabase, getHostname, getParent, getPort, getServerProcesses, getSGAValues, getSID, hasBackgroundProcesses, hasDatabase, hasHostname, hasParent, hasPort, hasServerProcesses, hasSGAValues, hasSID, setBackgroundProcesses, setDatabase, setHostname, setParent, setPort, setServerProcesses, setSGAValues, setSID`

Methods inherited from interface com.collation.platform.model.topology.app.db.DatabaseServer
`getHome, hasHome, setHome`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getOwner

    java.lang.String getOwner()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOwner

    void setOwner(java.lang.String owner)

### hasOwner

    boolean hasOwner()

### getSAPSystemSID

    java.lang.String getSAPSystemSID()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSAPSystemSID

    void setSAPSystemSID(java.lang.String sid)

### hasSAPSystemSID

    boolean hasSAPSystemSID()

### getSystemHome

    java.lang.String getSystemHome()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSystemHome

    void setSystemHome(java.lang.String dbHostName)

### hasSystemHome

    boolean hasSystemHome()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD